
%define plugin	loadepg
%define name	vdr-plugin-%plugin
%define version	0.1.11
%define rel	3

Summary:	VDR plugin: Load EPG Data sent to Mediahighway receivers
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://kikko77.altervista.org/
Source:		vdr-%plugin-%version.tgz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
Requires:	vdr-abi = %vdr_abi

%description
Loads EPG Data sent to Mediahighway receivers (Canal+ group).

%prep
%setup -q -n %plugin-%version

%vdr_plugin_params_begin %plugin
# alternative configuration directory
var=CONFIG_DIR
param="-c CONFIG_DIR"
%vdr_plugin_params_end

perl -pi -e "s,^SCRIPT,# SCRIPT," loadepg.conf
perl -pi -e "s,^FILE,# FILE," loadepg.conf

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}
install -m644 *.equiv *.conf %{buildroot}%{_vdr_plugin_cfgdir}

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY
%config(noreplace) %{_vdr_plugin_cfgdir}/%plugin.conf
%config(noreplace) %{_vdr_plugin_cfgdir}/%plugin.equiv


%changelog
* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.1.11-3mdv2008.1
+ Revision: 145116
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.1.11-2mdv2008.1
+ Revision: 103149
- rebuild for new vdr

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 0.1.11-1mdv2008.0
+ Revision: 81785
- 0.1.11

* Wed Jul 25 2007 Anssi Hannula <anssi@mandriva.org> 0.1.10-2mdv2008.0
+ Revision: 55246
- rebuild due to missing x86_64 binary

* Thu Jul 19 2007 Anssi Hannula <anssi@mandriva.org> 0.1.10-1mdv2008.0
+ Revision: 53417
- 0.1.10

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.1.9-10mdv2008.0
+ Revision: 50014
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.1.9-9mdv2008.0
+ Revision: 42100
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.1.9-8mdv2008.0
+ Revision: 22747
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.1.9-7mdv2007.0
+ Revision: 90938
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.1.9-6mdv2007.1
+ Revision: 74044
- rebuild for new vdr
- Import vdr-plugin-loadepg

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.1.9-5mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.1.9-4mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.1.9-3mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.1.9-2mdv2007.0
- rebuild for new vdr

* Fri Jul 14 2006 Anssi Hannula <anssi@mandriva.org> 0.1.9-1mdv2007.0
- initial Mandriva release

